<?php
include "../config.php";
include "classes.php";

$condX = $_REQUEST['condX'];
$conX = $_REQUEST['conX'];
$tblX = $_REQUEST['tblX'];
$spcX = "1=1";
$adultcondX = $_REQUEST['adultcondX'];

$trendStatus = $_REQUEST['trendStatus'];
$trendcondX = $_REQUEST['trendcondX'];

if($conX==1)
{    
    $condX="1=1";   
}

if($trendStatus=='false')
{
    $trendsValue = [];
    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$adultcondX,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$adultcondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$adultcondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);
    
    $data['AD_C0'] = $recordCounter4->countRecords4('AD_C0', range(1,2));
    $data['AD_C2'] = $recordCounter1->countRecords1('AD_C2', array(1,2));
    $data['AD_C3'] = $recordCounter1->countRecords1('AD_C3', array(1,2,3,4,5,6,98));
    $data['AD_C4b'] = $recordCounter1->countRecords1('AD_C4b', array(1,2));
    $data['AD_C5'] = $recordCounter1->countRecords1('AD_C5', array(1,2,3,4,98));
    $data['AD_C6'] = $recordCounter1->countRecords1('AD_C6', array(1,2,3,4,99));
    $data['AD_C7'] = $recordCounter1->countRecords1('AD_C7', range(1,2));
    $data['AD_C8'] = $recordCounter1->countRecords1('AD_C8', array(1,2,3,4,5,99));
    $data['AD_C9'] = $recordCounter1->countRecords1('AD_C9', array(1,2,3,4,5,6,7,59));
    $data['AD_C10'] = $recordCounter1->countRecords1('AD_C10', array(1,2,3,4,98));
    $data['AD_C11'] = $recordCounter2->countRecords2('AD_C11', range(1,7));
    $data['AD_C12'] = $recordCounter1->countRecords1('AD_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['AD_C15'] = $recordCounter1->countRecords1('AD_C15', array(1,2,3));
    $data['AD_C16'] = $recordCounter3->countRecords3('AD_C16', range(1,9));
    $data['AD_C17'] = $recordCounter1->countRecords1('AD_C17', range(1,3));
    $data['AD_C18'] = $recordCounter1->countRecords1('AD_C18', array(1,2,3,4,98,99));
    $data['AD_C19'] = $recordCounter2->countRecords2('AD_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['AD_C20'] = $recordCounter1->countRecords1('AD_C20', array(1,2,3));
    
    $data['S13_9'] = $recordCounter1->countRecords1('S13_9', array(1,2,3,4,5,6,7));
}
else{
    
    $trendsValue = [1,2,3,4,90,91];
    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$adultcondX,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$adultcondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$adultcondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);
    
    $data['AD_C0'] = $recordCounter4->countRecords4('AD_C0', range(1,2));
    $data['AD_C2'] = $recordCounter1->countRecords1('AD_C2', array(1,2));
    $data['AD_C3'] = $recordCounter1->countRecords1('AD_C3', array(1,2,3,4,5,6,98));
    $data['AD_C4b'] = $recordCounter1->countRecords1('AD_C4b', array(1,2));
    $data['AD_C5'] = $recordCounter1->countRecords1('AD_C5', array(1,2,3,4,98));
    $data['AD_C6'] = $recordCounter1->countRecords1('AD_C6', array(1,2,3,4,99));
    $data['AD_C7'] = $recordCounter1->countRecords1('AD_C7', range(1,2));
    $data['AD_C8'] = $recordCounter1->countRecords1('AD_C8', array(1,2,3,4,5,99));
    $data['AD_C9'] = $recordCounter1->countRecords1('AD_C9', array(1,2,3,4,5,6,7,59));
    $data['AD_C10'] = $recordCounter1->countRecords1('AD_C10', array(1,2,3,4,98));
    $data['AD_C11'] = $recordCounter2->countRecords2('AD_C11', range(1,7));
    $data['AD_C12'] = $recordCounter1->countRecords1('AD_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['AD_C15'] = $recordCounter1->countRecords1('AD_C15', array(1,2,3));
    $data['AD_C16'] = $recordCounter3->countRecords3('AD_C16', range(1,9));
    $data['AD_C17'] = $recordCounter1->countRecords1('AD_C17', range(1,3));
    $data['AD_C18'] = $recordCounter1->countRecords1('AD_C18', array(1,2,3,4,98,99));
    $data['AD_C19'] = $recordCounter2->countRecords2('AD_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['AD_C20'] = $recordCounter1->countRecords1('AD_C20', array(1,2,3));
    
    $data['S13_9'] = $recordCounter1->countRecords1('S13_9', array(1,2,3,4,5,6,7));
    
}

echo json_encode($data);

?>